Bug 1010375 - GDM blended screen and input with VT
GDM blended screen and input with VT
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kernel (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: pre-dev-freeze
: 7.1
Assigned To: X/OpenGL Maintenance List
Desktop QE
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-20 12:10 EDT by Martin
Modified: 2015-05-21 15:25 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-05-21 15:25:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (400.59 KB, image/png)
2013-11-15 11:18 EST, Martin
no flags Details

  None (edit)
Description Martin 2013-09-20 12:10:39 EDT
Description of problem:
GDM blended screen and input with VT

Version-Release number of selected component (if applicable):
kernel-3.10.0-23.el7.x86_64
systemd-207-2.el7.x86_64

How reproducible:
always, sometimes need to restart GDM twice
in virt-manager

Steps to Reproduce:
1. Switch to VT
2. run: systemctl restart gdm.service
3. after gdm restarts switch back to VT
4. use keyboard and mouse

Actual results:
You can't switch from GDM to VT or if you switch you'll get VT with GDM overlay on screen, both responding to keyboard input.

Expected results:
You can switch from X to VT.

Additional info:
tested with QXL/Spice and VNC/Cirrus
Comment 2 Harald Hoyer 2013-10-15 05:35:36 EDT
Why is this a systemd bug? Wouldn't it be more a X or kernel bug?
Comment 3 Martin 2013-10-15 09:17:23 EDT
Because of possible relation to former ConsoleKit functionality. I can reproduce it with various driver/protocol combinations.
Comment 4 Lukáš Nykrýn 2013-10-17 05:40:05 EDT
This really sounds to me as an issue in VT switching in kernel. Reassigning to get their opinion.
Comment 5 Martin 2013-11-15 11:18:43 EST
Created attachment 824591 [details]
screenshot

Still reproducible with RHEL7 Beta. Adding screenshot to get more attention.
Comment 6 RHEL Product and Program Management 2014-03-22 02:38:24 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 9 Dave Airlie 2015-05-20 21:00:54 EDT
is this still a problem?
Comment 10 Tomas Pelka 2015-05-21 02:26:29 EDT
(In reply to Dave Airlie from comment #9)
> is this still a problem?

Martin is no longer with RedHat I would propose close this bug and reopen if needed.
Comment 11 Adam Jackson 2015-05-21 15:25:49 EDT
(In reply to Tomas Pelka from comment #10)
> (In reply to Dave Airlie from comment #9)
> > is this still a problem?
> 
> Martin is no longer with RedHat I would propose close this bug and reopen if
> needed.

Works for me.

Note You need to log in before you can comment on or make changes to this bug.